Name:          pycurl
Version:       7.45.2
Release:       1mamba
Summary:       A Python interface to libcurl
Group:         Development/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pycurl.io/
Source:        http://pypi.debian.net/pycurl/pycurl-%{version}.tar.gz
License:       LGPL, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libopenssl-devel
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
PycURL can be used to fetch objects identified by a URL from a Python program, similar to the urllib Python module.
PycURL is mature, very fast, and supports a lot of features. 
PycURL is targeted at the advanced developer - if you need dozens of concurrent fast and reliable connections or any of the sophisiticated features as listed above then PycURL is for you. 
The main drawback with PycURL is that it is a relative thin layer over libcurl without any of those nice Pythonic class hierarchies.
This means it has a somewhat steep learning curve unless you are already familiar with libcurl's C API.
To sum up, PycURL is very fast (esp. for multiple concurrent operations) and very feature complete, but has a somewhat complex interface.
If you need something simpler or prefer a pure Python module you might want to check out urllib2 and urlgrabber.

%if "%{?with_pyver}"
%pyver_package
%endif

%package doc
Group:         Documentation
Summary:       Documentation package for %{name}

%description doc
PycURL can be used to fetch objects identified by a URL from a Python program, similar to the urllib Python module.
PycURL is mature, very fast, and supports a lot of features. 
PycURL is targeted at the advanced developer - if you need dozens of concurrent fast and reliable connections or any of the sophisiticated features as listed above then PycURL is for you. 
The main drawback with PycURL is that it is a relative thin layer over libcurl without any of those nice Pythonic class hierarchies.
This means it has a somewhat steep learning curve unless you are already familiar with libcurl's C API.
To sum up, PycURL is very fast (esp. for multiple concurrent operations) and very feature complete, but has a somewhat complex interface.
If you need something simpler or prefer a pure Python module you might want to check out urllib2 and urlgrabber.
This is the documentation package.

%prep
%setup -q

%build
CFLAGS="%{optflags} -DHAVE_CURL_OPENSSL" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

sed -i "\,doc/pycurl,d" %{name}.filelist

#rm -fr %{buildroot}%{_defaultdocdir}/%{name}
#mv doc html

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/pycurl-%{version}-py*.egg-info
%{python_sitearch}/pycurl-%{version}-py*.egg-info/*
%doc COPYING-LGPL COPYING-MIT

%files doc
%defattr(-,root,root)
%dir %{_docdir}/pycurl
%{_docdir}/pycurl/*
%doc ChangeLog examples

%changelog
* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 7.45.2-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Automatic Build System <autodist@mambasoft.it> 7.45.1-1mamba
- automatic version update by autodist

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.44.1-1mamba
- update to 7.44.1

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.43.0.6-2mamba
- rebuilt with distdeps

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 7.43.0.6-1mamba
- automatic update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 7.43.0.3-1mamba
- update to 7.43.0.3

* Thu Sep 06 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 7.43.0.2-1mamba
- update to 7.43.0.2

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 7.21.5-1mamba
- automatic update by autodist

* Sun Jan 18 2015 Automatic Build System <autodist@mambasoft.it> 7.19.5.1-1mamba
- automatic update by autodist

* Thu Nov 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 7.19.5-2mamba
- added -py3 support

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 7.19.5-1mamba
- automatic update by autodist

* Wed Jun 04 2014 Automatic Build System <autodist@mambasoft.it> 7.19.3.1-1mamba
- automatic update by autodist

* Sun Dec 29 2013 Automatic Build System <autodist@mambasoft.it> 7.19.0.3-1mamba
- automatic update by autodist

* Mon Sep 30 2013 Automatic Build System <autodist@mambasoft.it> 7.19.0.1-1mamba
- automatic update by autodist

* Sat May 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 7.19.0-5mamba
- python 2.7 mass rebuild

* Sun Oct 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 7.19.0-4mamba
- documentation moved to -doc package

* Wed Aug 18 2010 Davide Madrisan <davide.madrisan@gmail.com> 7.19.0-3mamba
- do not build twice the python modules

* Tue Jul 07 2009 Davide Madrisan <davide.madrisan@gmail.com> 7.19.0-2mamba
- rebuilt with python 2.6
- install all the files in the %%{python_sitearch} directory

* Tue Oct 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 7.19.0-1mamba
- update to 7.19.0

* Wed May 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 7.15.2-1qilnx
- package created by autospec
